package me.zhengjie.config.rabbitmq.test;

import me.zhengjie.config.rabbitmq.cuisine.CuisineConsumer;
import me.zhengjie.config.rabbitmq.cuisine.CuisineProduce;
import me.zhengjie.config.rabbitmq.order.OrderConsumer;
import me.zhengjie.config.rabbitmq.order.OrederProduce;
import org.springframework.amqp.rabbit.core.RabbitTemplate;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Configurable;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Component;

@Component
public class SendTemplate {

    @Autowired
    @Qualifier(CuisineProduce.TEMPLATE)
    private RabbitTemplate rabbitTemplate;

    @Autowired
    @Qualifier(OrederProduce.TEMPLATE_ORDER)
    private RabbitTemplate rabbitTemplate1;

    public void sendMessage(Object message){
        rabbitTemplate.convertAndSend(CuisineProduce.NAME, CuisineProduce.NAME, message);
        System.out.println("排菜信息获取----消息发送到rabbitmq");
    }

    public void sendOrederMessage(Object message){
        rabbitTemplate1.convertAndSend(OrederProduce.NAME_ORDER, OrederProduce.NAME_ORDER, message);
        System.out.println("消费记录获取----消息发送到rabbitmq");
    }
}
